PACDIFF(8)

NAME
pacdiff - pacorig, pacnew and pacsave maintenance utility

SYNOPSIS

pacdiff [options]

DESCRIPTION

pacdiff is a script which looks for pacorig, pacnew and pacsave files from the backup entries found in the local pacman db. For every found file the option is given to view, merge, skip, diff, remove or overwrite the found pacorig, pacnew or pacsave file.

OPTIONS

  Search Options

-f, --find
    Scan using find.

-l, --locate
    Scan using locate.

-p, --pacmandb
    Scan active config files from pacman database. (default)

  General Options

-b, --backup
    When overwriting, save old files with .bak.

-c, --cachedir <dir>
    Scan dir instead as the pacman cache for 3-way merge base candidates.

-h, --help
    Display syntax and command-line options.

--nocolor
    Do not colorize output.

-o, --output
    Print files instead of merging them.

-s, --sudo
    Use sudo and sudoedit to merge/remove files.

-3, --threeway
    View diffs in 3-way fashion if the base package is available in the cache. Fall back to regular 2-way diff otherwise.

-V, --version
    Display version information.

ENVIRONMENT

DIFFPROG
    Override the default diff program vim -d, or nvim -d if EDITOR=nvim.

DIFFSEARCHPATH
    Override the default search path /etc, only when using find.

MERGEPROG
    Override the default diff3 -m 3-way merge program. One possible alternative is git merge-file -p.

SEE ALSO

pacman(8), pacman.conf(5)

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, file an issue with as much detail as possible at https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTHORS

Current maintainers:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

For additional contributors, use git shortlog -s on the pacman-contrib.git repository.